ValidWhen (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator.validwhen
Class ValidWhen

    java.lang.Object
      org.apache.struts.validator.validwhen.ValidWhen

    public class ValidWhen

extends Object

This class contains the validwhen validation that is used in the validator-rules.xml file.

Since:
  Struts 1.2

Constructor Summary
`ValidWhen()`

Method Summary
`static boolean` | `validateValidWhen(Object bean, ValidatorAction va, Field field, ActionMessages errors, Validator validator, HttpServletRequest request)` Checks if the field matches the boolean expression specified in `test` parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidWhen

    public ValidWhen()

Method Detail

### validateValidWhen

    public static boolean validateValidWhen(Object bean,
                                            ValidatorAction va,
                                            Field field,
                                            ActionMessages errors,
                                            Validator validator,
                                            HttpServletRequest request)

  Checks if the field matches the boolean expression specified in `test` parameter.

  Parameters:
    `bean` - The bean validation is being performed on.
    `va` - The `ValidatorAction` that is currently being performed.
    `field` - The `Field` object associated with the current field being validated.
    `errors` - The `ActionMessages` object to add errors to if any validation errors occur.
    `request` - Current request object.
  Returns:
    `true` if meets stated requirements, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.